Bug 476828 - gnome-packagekit doesn't keep track of packages selection
gnome-packagekit doesn't keep track of packages selection
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2008-12-17 06:57 EST by Pavel Rosenboim
Modified: 2009-11-18 08:37 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-11-18 08:37:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pavel Rosenboim 2008-12-17 06:57:22 EST
Description of problem:
When a package is selected for installation, then package view is changed (for example, different package group is viewed), package is no longer shown as selected and there is no way to unselect it, except using "clear" button which unselects all packages. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Go to "Admin" group
2. Select one or more packages for installation.
3. Go to different group.
4. Go back to "admin" group
Actual results:
Checkbox next to packages selected on stage 2 is cleared. Clicking on it has no effect.

Expected results:
Checkbox should be checked regardless of package view to allow deselection.
Comment 1 TK009 2009-03-03 20:27:28 EST
I get the same thing when I try it. I will assume working as intended.

This bug has been triaged

Fedora Bugzappers volunteer triage team
Comment 2 Bug Zapper 2009-11-18 05:29:57 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 3 TK009 2009-11-18 08:37:45 EST
Can not reproduce in F12.

Note You need to log in before you can comment on or make changes to this bug.